OGRE: Ogre::Pool< T > Class Template Reference - OGRE Documentation

Public Member Functions | Protected Types | Protected Attributes

# Ogre::Pool< T > Class Template Reference
[General]

Template class describing a simple pool of items. More...

`#include <OgreCommon.h>`

List of all members.

## Public Member Functions
| Pool ()
virtual | ~Pool ()
virtual std::pair< bool, T > | removeItem ()
| Get the next item from the pool.
virtual void | addItem (const T &i)
| Add a new item to the pool.
virtual void | clear ()
| Clear the pool.
## Protected Types
typedef list< T >::type | ItemList
## Protected Attributes
ItemList | mItems

## Detailed Description

### template<typename T>
class Ogre::Pool< T >

Template class describing a simple pool of items.

Definition at line 792 of file OgreCommon.h.

## Member Typedef Documentation

template<typename T>

typedef list<T>::type Ogre::Pool< T >::ItemList`[protected]`

Definition at line 795 of file OgreCommon.h.

## Constructor & Destructor Documentation

template<typename T>

Ogre::Pool< T >::Pool | ( |  | ) |

Definition at line 799 of file OgreCommon.h.

template<typename T>

virtual Ogre::Pool< T >::~Pool | ( |  | ) | `[virtual]`

Definition at line 800 of file OgreCommon.h.

## Member Function Documentation

template<typename T>

virtual void Ogre::Pool< T >::addItem | ( | const T & | i | ) | `[virtual]`

Add a new item to the pool.

Definition at line 824 of file OgreCommon.h.

template<typename T>

virtual void Ogre::Pool< T >::clear | ( |  | ) | `[virtual]`

Clear the pool.

Definition at line 830 of file OgreCommon.h.

template<typename T>

virtual std::pair<bool, T> Ogre::Pool< T >::removeItem | ( |  | ) | `[virtual]`

Get the next item from the pool.

Returns:
  pair indicating whether there was a free item, and the item if so

Definition at line 805 of file OgreCommon.h.

## Member Data Documentation

template<typename T>

ItemList Ogre::Pool< T >::mItems`[protected]`

Definition at line 796 of file OgreCommon.h.

Referenced by Ogre::Pool< ResourcePtr >::addItem(), Ogre::Pool< ResourcePtr >::clear(), and Ogre::Pool< ResourcePtr >::removeItem().

The documentation for this class was generated from the following file:

- OgreCommon.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:54